Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class MetaDataParsers

    java.lang.Object
      org.apache.openjpa.persistence.MetaDataParsers

     class MetaDataParsers

extends Object

Common utilities for persistence metadata parsers.

Author:
  Abe White

Constructor Summary
`MetaDataParsers()`

Method Summary
`static int[]` | `getEventTypes(MetaDataTag tag, OpenJPAConfiguration conf)` Return the event type constants for the given tag, or null if none.
`static void` | `validateMethodsForSameCallback(Class cls, Collection<LifecycleCallbacks> callbacks, Method method, MetaDataTag tag, OpenJPAConfiguration conf, Log log)` Validate that the given listener class does not have multiple methods listening for the same lifecycle event, which is forbidden by the spec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaDataParsers

    MetaDataParsers()

Method Detail

### getEventTypes

    public static int[] getEventTypes(MetaDataTag tag,
                                      OpenJPAConfiguration conf)

  Return the event type constants for the given tag, or null if none.

### validateMethodsForSameCallback

    public static void validateMethodsForSameCallback(Class cls,
                                                      Collection<LifecycleCallbacks> callbacks,
                                                      Method method,
                                                      MetaDataTag tag,
                                                      OpenJPAConfiguration conf,
                                                      Log log)

  Validate that the given listener class does not have multiple methods listening for the same lifecycle event, which is forbidden by the spec.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.